<?php
$tdatarecovery_of_arrears = array();
$tdatarecovery_of_arrears[".searchableFields"] = array();
$tdatarecovery_of_arrears[".ShortName"] = "recovery_of_arrears";
$tdatarecovery_of_arrears[".OwnerID"] = "user";
$tdatarecovery_of_arrears[".OriginalTable"] = "payments";


$tdatarecovery_of_arrears[".pagesByType"] = my_json_decode( "{\"add\":[\"add\",\"add1\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list1\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatarecovery_of_arrears[".originalPagesByType"] = $tdatarecovery_of_arrears[".pagesByType"];
$tdatarecovery_of_arrears[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\",\"add1\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list1\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatarecovery_of_arrears[".originalPages"] = $tdatarecovery_of_arrears[".pages"];
$tdatarecovery_of_arrears[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"list\":\"list1\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatarecovery_of_arrears[".originalDefaultPages"] = $tdatarecovery_of_arrears[".defaultPages"];

//	field labels
$fieldLabelsrecovery_of_arrears = array();
$fieldToolTipsrecovery_of_arrears = array();
$pageTitlesrecovery_of_arrears = array();
$placeHoldersrecovery_of_arrears = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsrecovery_of_arrears["English"] = array();
	$fieldToolTipsrecovery_of_arrears["English"] = array();
	$placeHoldersrecovery_of_arrears["English"] = array();
	$pageTitlesrecovery_of_arrears["English"] = array();
	$fieldLabelsrecovery_of_arrears["English"]["id"] = "Id";
	$fieldToolTipsrecovery_of_arrears["English"]["id"] = "";
	$placeHoldersrecovery_of_arrears["English"]["id"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["sales_id"] = "Sales Id";
	$fieldToolTipsrecovery_of_arrears["English"]["sales_id"] = "";
	$placeHoldersrecovery_of_arrears["English"]["sales_id"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["type"] = "Type";
	$fieldToolTipsrecovery_of_arrears["English"]["type"] = "";
	$placeHoldersrecovery_of_arrears["English"]["type"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["amount"] = "Amount";
	$fieldToolTipsrecovery_of_arrears["English"]["amount"] = "";
	$placeHoldersrecovery_of_arrears["English"]["amount"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["cheque_number"] = "Cheque Number";
	$fieldToolTipsrecovery_of_arrears["English"]["cheque_number"] = "";
	$placeHoldersrecovery_of_arrears["English"]["cheque_number"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["hide"] = "Hide";
	$fieldToolTipsrecovery_of_arrears["English"]["hide"] = "";
	$placeHoldersrecovery_of_arrears["English"]["hide"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["status"] = "Status";
	$fieldToolTipsrecovery_of_arrears["English"]["status"] = "";
	$placeHoldersrecovery_of_arrears["English"]["status"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["cheque_date"] = "Cheque Date";
	$fieldToolTipsrecovery_of_arrears["English"]["cheque_date"] = "";
	$placeHoldersrecovery_of_arrears["English"]["cheque_date"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["outlet"] = "Outlet";
	$fieldToolTipsrecovery_of_arrears["English"]["outlet"] = "";
	$placeHoldersrecovery_of_arrears["English"]["outlet"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["opening_balance_id"] = "Opening Balance Id";
	$fieldToolTipsrecovery_of_arrears["English"]["opening_balance_id"] = "";
	$placeHoldersrecovery_of_arrears["English"]["opening_balance_id"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["date_time"] = "Date Time";
	$fieldToolTipsrecovery_of_arrears["English"]["date_time"] = "";
	$placeHoldersrecovery_of_arrears["English"]["date_time"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["user"] = "User";
	$fieldToolTipsrecovery_of_arrears["English"]["user"] = "";
	$placeHoldersrecovery_of_arrears["English"]["user"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["status_2"] = "Status 2";
	$fieldToolTipsrecovery_of_arrears["English"]["status_2"] = "";
	$placeHoldersrecovery_of_arrears["English"]["status_2"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["company_name"] = "Company Name";
	$fieldToolTipsrecovery_of_arrears["English"]["company_name"] = "";
	$placeHoldersrecovery_of_arrears["English"]["company_name"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["address_line_1"] = "Address Line 1";
	$fieldToolTipsrecovery_of_arrears["English"]["address_line_1"] = "";
	$placeHoldersrecovery_of_arrears["English"]["address_line_1"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["address_line_2"] = "Address Line 2";
	$fieldToolTipsrecovery_of_arrears["English"]["address_line_2"] = "";
	$placeHoldersrecovery_of_arrears["English"]["address_line_2"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["hot_line"] = "Hot Line";
	$fieldToolTipsrecovery_of_arrears["English"]["hot_line"] = "";
	$placeHoldersrecovery_of_arrears["English"]["hot_line"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["Fax"] = "Fax";
	$fieldToolTipsrecovery_of_arrears["English"]["Fax"] = "";
	$placeHoldersrecovery_of_arrears["English"]["Fax"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["email"] = "Email";
	$fieldToolTipsrecovery_of_arrears["English"]["email"] = "";
	$placeHoldersrecovery_of_arrears["English"]["email"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["logo"] = "Logo";
	$fieldToolTipsrecovery_of_arrears["English"]["logo"] = "";
	$placeHoldersrecovery_of_arrears["English"]["logo"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["header"] = "Header";
	$fieldToolTipsrecovery_of_arrears["English"]["header"] = "";
	$placeHoldersrecovery_of_arrears["English"]["header"] = "";
	$fieldLabelsrecovery_of_arrears["English"]["footer"] = "Footer";
	$fieldToolTipsrecovery_of_arrears["English"]["footer"] = "";
	$placeHoldersrecovery_of_arrears["English"]["footer"] = "";
	$pageTitlesrecovery_of_arrears["English"]["edit"] = "recovery of arrears, Edit - {%id}";
	if (count($fieldToolTipsrecovery_of_arrears["English"]))
		$tdatarecovery_of_arrears[".isUseToolTips"] = true;
}


	$tdatarecovery_of_arrears[".NCSearch"] = true;



$tdatarecovery_of_arrears[".shortTableName"] = "recovery_of_arrears";
$tdatarecovery_of_arrears[".nSecOptions"] = 1;

$tdatarecovery_of_arrears[".mainTableOwnerID"] = "user";
$tdatarecovery_of_arrears[".entityType"] = 1;
$tdatarecovery_of_arrears[".connId"] = "test2_at_localhost";


$tdatarecovery_of_arrears[".strOriginalTableName"] = "payments";

	



$tdatarecovery_of_arrears[".showAddInPopup"] = false;

$tdatarecovery_of_arrears[".showEditInPopup"] = false;

$tdatarecovery_of_arrears[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatarecovery_of_arrears[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdatarecovery_of_arrears[".listAjax"] = true;
//	temporary
$tdatarecovery_of_arrears[".listAjax"] = false;

	$tdatarecovery_of_arrears[".audit"] = true;

	$tdatarecovery_of_arrears[".locking"] = false;


$pages = $tdatarecovery_of_arrears[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatarecovery_of_arrears[".edit"] = true;
	$tdatarecovery_of_arrears[".afterEditAction"] = 1;
	$tdatarecovery_of_arrears[".closePopupAfterEdit"] = 1;
	$tdatarecovery_of_arrears[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatarecovery_of_arrears[".add"] = true;
$tdatarecovery_of_arrears[".afterAddAction"] = 1;
$tdatarecovery_of_arrears[".closePopupAfterAdd"] = 1;
$tdatarecovery_of_arrears[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatarecovery_of_arrears[".list"] = true;
}



$tdatarecovery_of_arrears[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatarecovery_of_arrears[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatarecovery_of_arrears[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatarecovery_of_arrears[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatarecovery_of_arrears[".printFriendly"] = true;
}



$tdatarecovery_of_arrears[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatarecovery_of_arrears[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatarecovery_of_arrears[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatarecovery_of_arrears[".isUseAjaxSuggest"] = true;

$tdatarecovery_of_arrears[".rowHighlite"] = true;



																																																			

$tdatarecovery_of_arrears[".ajaxCodeSnippetAdded"] = false;

$tdatarecovery_of_arrears[".buttonsAdded"] = false;

$tdatarecovery_of_arrears[".addPageEvents"] = true;

// use timepicker for search panel
$tdatarecovery_of_arrears[".isUseTimeForSearch"] = false;


$tdatarecovery_of_arrears[".badgeColor"] = "BC8F8F";


$tdatarecovery_of_arrears[".allSearchFields"] = array();
$tdatarecovery_of_arrears[".filterFields"] = array();
$tdatarecovery_of_arrears[".requiredSearchFields"] = array();

$tdatarecovery_of_arrears[".googleLikeFields"] = array();
$tdatarecovery_of_arrears[".googleLikeFields"][] = "id";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "sales_id";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "type";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "amount";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "cheque_number";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "cheque_date";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "hide";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "status";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "opening_balance_id";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "outlet";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "date_time";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "user";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "status_2";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "company_name";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "address_line_1";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "address_line_2";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "hot_line";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "Fax";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "email";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "logo";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "header";
$tdatarecovery_of_arrears[".googleLikeFields"][] = "footer";



$tdatarecovery_of_arrears[".tableType"] = "list";

$tdatarecovery_of_arrears[".printerPageOrientation"] = 0;
$tdatarecovery_of_arrears[".nPrinterPageScale"] = 100;

$tdatarecovery_of_arrears[".nPrinterSplitRecords"] = 40;

$tdatarecovery_of_arrears[".geocodingEnabled"] = false;










$tdatarecovery_of_arrears[".pageSize"] = 20;

$tdatarecovery_of_arrears[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatarecovery_of_arrears[".strOrderBy"] = $tstrOrderBy;

$tdatarecovery_of_arrears[".orderindexes"] = array();


$tdatarecovery_of_arrears[".sqlHead"] = "SELECT payments.id,  payments.sales_id,  payments.`type`,  payments.amount,  payments.cheque_number,  payments.cheque_date,  payments.hide,  payments.status,  payments.opening_balance_id,  payments.outlet,  payments.date_time,  payments.`user`,  payments.status_2,  company_profile.company_name,  company_profile.address_line_1,  company_profile.address_line_2,  company_profile.hot_line,  company_profile.Fax,  company_profile.email,  company_profile.logo,  company_profile.header,  company_profile.footer";
$tdatarecovery_of_arrears[".sqlFrom"] = "FROM payments  INNER JOIN company_profile ON payments.outlet = company_profile.id";
$tdatarecovery_of_arrears[".sqlWhereExpr"] = "payments.status = \"sales arrears\"";
$tdatarecovery_of_arrears[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatarecovery_of_arrears[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatarecovery_of_arrears[".arrGroupsPerPage"] = $arrGPP;

$tdatarecovery_of_arrears[".highlightSearchResults"] = true;

$tableKeysrecovery_of_arrears = array();
$tableKeysrecovery_of_arrears[] = "id";
$tdatarecovery_of_arrears[".Keys"] = $tableKeysrecovery_of_arrears;


$tdatarecovery_of_arrears[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payments.id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["id"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "id";
//	sales_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "sales_id";
	$fdata["GoodName"] = "sales_id";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","sales_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "sales_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payments.sales_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "credit_sales11";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"amount", 'lookupF'=>"difect");
	$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "id";

	

	
	$edata["LookupOrderBy"] = "id";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["sales_id"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "sales_id";
//	type
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "type";
	$fdata["GoodName"] = "type";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","type");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "type";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payments.`type`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 4;

		$edata["HorizontalLookup"] = true;

	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Cash";
	$edata["LookupValues"][] = "Cheque";

	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["type"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "type";
//	amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "amount";
	$fdata["GoodName"] = "amount";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payments.amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["amount"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "amount";
//	cheque_number
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "cheque_number";
	$fdata["GoodName"] = "cheque_number";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","cheque_number");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cheque_number";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payments.cheque_number";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["cheque_number"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "cheque_number";
//	cheque_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "cheque_date";
	$fdata["GoodName"] = "cheque_date";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","cheque_date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "cheque_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payments.cheque_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["cheque_date"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "cheque_date";
//	hide
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "hide";
	$fdata["GoodName"] = "hide";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","hide");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "hide";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payments.hide";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["hide"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "hide";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payments.status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["status"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "status";
//	opening_balance_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "opening_balance_id";
	$fdata["GoodName"] = "opening_balance_id";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","opening_balance_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "opening_balance_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payments.opening_balance_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["opening_balance_id"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "opening_balance_id";
//	outlet
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "outlet";
	$fdata["GoodName"] = "outlet";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","outlet");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "outlet";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payments.outlet";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["list"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["print"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["export"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["add"] = $edata;
	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "company_profile";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "country";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = true;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["outlet"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "outlet";
//	date_time
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "date_time";
	$fdata["GoodName"] = "date_time";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","date_time");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "date_time";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payments.date_time";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["date_time"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "date_time";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payments.`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["user"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "user";
//	status_2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "status_2";
	$fdata["GoodName"] = "status_2";
	$fdata["ownerTable"] = "payments";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","status_2");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "status_2";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payments.status_2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["status_2"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "status_2";
//	company_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "company_name";
	$fdata["GoodName"] = "company_name";
	$fdata["ownerTable"] = "company_profile";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","company_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "company_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "company_profile.company_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["company_name"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "company_name";
//	address_line_1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "address_line_1";
	$fdata["GoodName"] = "address_line_1";
	$fdata["ownerTable"] = "company_profile";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","address_line_1");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "address_line_1";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "company_profile.address_line_1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["address_line_1"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "address_line_1";
//	address_line_2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "address_line_2";
	$fdata["GoodName"] = "address_line_2";
	$fdata["ownerTable"] = "company_profile";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","address_line_2");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "address_line_2";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "company_profile.address_line_2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["address_line_2"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "address_line_2";
//	hot_line
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "hot_line";
	$fdata["GoodName"] = "hot_line";
	$fdata["ownerTable"] = "company_profile";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","hot_line");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "hot_line";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "company_profile.hot_line";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["hot_line"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "hot_line";
//	Fax
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "Fax";
	$fdata["GoodName"] = "Fax";
	$fdata["ownerTable"] = "company_profile";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","Fax");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Fax";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "company_profile.Fax";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["Fax"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "Fax";
//	email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "email";
	$fdata["GoodName"] = "email";
	$fdata["ownerTable"] = "company_profile";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","email");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "email";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "company_profile.email";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["email"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "email";
//	logo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 20;
	$fdata["strName"] = "logo";
	$fdata["GoodName"] = "logo";
	$fdata["ownerTable"] = "company_profile";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","logo");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "logo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "company_profile.logo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "File-based Image");

	
	
				$vdata["ImageWidth"] = 150;
	$vdata["ImageHeight"] = 75;

			$vdata["multipleImgMode"] = 2;
	$vdata["maxImages"] = 1;

		
	$vdata["imageBorder"] = 0;
	$vdata["imageFullWidth"] = 0;


	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
	$vdata = array("ViewFormat" => "File-based Image");

	
	
				$vdata["ImageWidth"] = 600;
	$vdata["ImageHeight"] = 400;

			$vdata["multipleImgMode"] = 2;
	$vdata["maxImages"] = 1;

			$vdata["showGallery"] = true;
	$vdata["galleryMode"] = 2;
	$vdata["captionMode"] = 2;
	$vdata["captionField"] = "";

	$vdata["imageBorder"] = 1;
	$vdata["imageFullWidth"] = 1;


	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["list"] = $vdata;
	$vdata = array("ViewFormat" => "File-based Image");

	
	
				$vdata["ImageWidth"] = 150;
	$vdata["ImageHeight"] = 75;

			$vdata["multipleImgMode"] = 2;
	$vdata["maxImages"] = 1;

		
	$vdata["imageBorder"] = 0;
	$vdata["imageFullWidth"] = 0;


	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["print"] = $vdata;
	$vdata = array("ViewFormat" => "File-based Image");

	
	
				$vdata["ImageWidth"] = 600;
	$vdata["ImageHeight"] = 400;

			$vdata["multipleImgMode"] = 2;
	$vdata["maxImages"] = 1;

			$vdata["showGallery"] = true;
	$vdata["galleryMode"] = 2;
	$vdata["captionMode"] = 2;
	$vdata["captionField"] = "";

	$vdata["imageBorder"] = 1;
	$vdata["imageFullWidth"] = 1;


	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["export"] = $vdata;
	$vdata = array("ViewFormat" => "File-based Image");

	
	
				$vdata["ImageWidth"] = 600;
	$vdata["ImageHeight"] = 400;

			$vdata["multipleImgMode"] = 2;
	$vdata["maxImages"] = 1;

			$vdata["showGallery"] = true;
	$vdata["galleryMode"] = 2;
	$vdata["captionMode"] = 2;
	$vdata["captionField"] = "";

	$vdata["imageBorder"] = 1;
	$vdata["imageFullWidth"] = 1;


	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterlist"] = $vdata;
	$vdata = array("ViewFormat" => "File-based Image");

	
	
				$vdata["ImageWidth"] = 600;
	$vdata["ImageHeight"] = 400;

			$vdata["multipleImgMode"] = 2;
	$vdata["maxImages"] = 1;

			$vdata["showGallery"] = true;
	$vdata["galleryMode"] = 2;
	$vdata["captionMode"] = 2;
	$vdata["captionField"] = "";

	$vdata["imageBorder"] = 1;
	$vdata["imageFullWidth"] = 1;


	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterprint"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["add"] = $edata;
	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = true;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["logo"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "logo";
//	header
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 21;
	$fdata["strName"] = "header";
	$fdata["GoodName"] = "header";
	$fdata["ownerTable"] = "company_profile";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","header");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "header";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "company_profile.header";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["header"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "header";
//	footer
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 22;
	$fdata["strName"] = "footer";
	$fdata["GoodName"] = "footer";
	$fdata["ownerTable"] = "company_profile";
	$fdata["Label"] = GetFieldLabel("recovery_of_arrears","footer");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "footer";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "company_profile.footer";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatarecovery_of_arrears["footer"] = $fdata;
		$tdatarecovery_of_arrears[".searchableFields"][] = "footer";


$tables_data["recovery of arrears"]=&$tdatarecovery_of_arrears;
$field_labels["recovery_of_arrears"] = &$fieldLabelsrecovery_of_arrears;
$fieldToolTips["recovery_of_arrears"] = &$fieldToolTipsrecovery_of_arrears;
$placeHolders["recovery_of_arrears"] = &$placeHoldersrecovery_of_arrears;
$page_titles["recovery_of_arrears"] = &$pageTitlesrecovery_of_arrears;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["recovery of arrears"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["recovery of arrears"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_recovery_of_arrears()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "payments.id,  payments.sales_id,  payments.`type`,  payments.amount,  payments.cheque_number,  payments.cheque_date,  payments.hide,  payments.status,  payments.opening_balance_id,  payments.outlet,  payments.date_time,  payments.`user`,  payments.status_2,  company_profile.company_name,  company_profile.address_line_1,  company_profile.address_line_2,  company_profile.hot_line,  company_profile.Fax,  company_profile.email,  company_profile.logo,  company_profile.header,  company_profile.footer";
$proto0["m_strFrom"] = "FROM payments  INNER JOIN company_profile ON payments.outlet = company_profile.id";
$proto0["m_strWhere"] = "payments.status = \"sales arrears\"";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "payments.status = \"sales arrears\"";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "payments",
	"m_srcTableName" => "recovery of arrears"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "= \"sales arrears\"";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "payments",
	"m_srcTableName" => "recovery of arrears"
));

$proto6["m_sql"] = "payments.id";
$proto6["m_srcTableName"] = "recovery of arrears";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "sales_id",
	"m_strTable" => "payments",
	"m_srcTableName" => "recovery of arrears"
));

$proto8["m_sql"] = "payments.sales_id";
$proto8["m_srcTableName"] = "recovery of arrears";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "type",
	"m_strTable" => "payments",
	"m_srcTableName" => "recovery of arrears"
));

$proto10["m_sql"] = "payments.`type`";
$proto10["m_srcTableName"] = "recovery of arrears";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "amount",
	"m_strTable" => "payments",
	"m_srcTableName" => "recovery of arrears"
));

$proto12["m_sql"] = "payments.amount";
$proto12["m_srcTableName"] = "recovery of arrears";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "cheque_number",
	"m_strTable" => "payments",
	"m_srcTableName" => "recovery of arrears"
));

$proto14["m_sql"] = "payments.cheque_number";
$proto14["m_srcTableName"] = "recovery of arrears";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "cheque_date",
	"m_strTable" => "payments",
	"m_srcTableName" => "recovery of arrears"
));

$proto16["m_sql"] = "payments.cheque_date";
$proto16["m_srcTableName"] = "recovery of arrears";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "hide",
	"m_strTable" => "payments",
	"m_srcTableName" => "recovery of arrears"
));

$proto18["m_sql"] = "payments.hide";
$proto18["m_srcTableName"] = "recovery of arrears";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "payments",
	"m_srcTableName" => "recovery of arrears"
));

$proto20["m_sql"] = "payments.status";
$proto20["m_srcTableName"] = "recovery of arrears";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "opening_balance_id",
	"m_strTable" => "payments",
	"m_srcTableName" => "recovery of arrears"
));

$proto22["m_sql"] = "payments.opening_balance_id";
$proto22["m_srcTableName"] = "recovery of arrears";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "outlet",
	"m_strTable" => "payments",
	"m_srcTableName" => "recovery of arrears"
));

$proto24["m_sql"] = "payments.outlet";
$proto24["m_srcTableName"] = "recovery of arrears";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "date_time",
	"m_strTable" => "payments",
	"m_srcTableName" => "recovery of arrears"
));

$proto26["m_sql"] = "payments.date_time";
$proto26["m_srcTableName"] = "recovery of arrears";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "payments",
	"m_srcTableName" => "recovery of arrears"
));

$proto28["m_sql"] = "payments.`user`";
$proto28["m_srcTableName"] = "recovery of arrears";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "status_2",
	"m_strTable" => "payments",
	"m_srcTableName" => "recovery of arrears"
));

$proto30["m_sql"] = "payments.status_2";
$proto30["m_srcTableName"] = "recovery of arrears";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "company_name",
	"m_strTable" => "company_profile",
	"m_srcTableName" => "recovery of arrears"
));

$proto32["m_sql"] = "company_profile.company_name";
$proto32["m_srcTableName"] = "recovery of arrears";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "address_line_1",
	"m_strTable" => "company_profile",
	"m_srcTableName" => "recovery of arrears"
));

$proto34["m_sql"] = "company_profile.address_line_1";
$proto34["m_srcTableName"] = "recovery of arrears";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "address_line_2",
	"m_strTable" => "company_profile",
	"m_srcTableName" => "recovery of arrears"
));

$proto36["m_sql"] = "company_profile.address_line_2";
$proto36["m_srcTableName"] = "recovery of arrears";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$obj = new SQLField(array(
	"m_strName" => "hot_line",
	"m_strTable" => "company_profile",
	"m_srcTableName" => "recovery of arrears"
));

$proto38["m_sql"] = "company_profile.hot_line";
$proto38["m_srcTableName"] = "recovery of arrears";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
						$proto40=array();
			$obj = new SQLField(array(
	"m_strName" => "Fax",
	"m_strTable" => "company_profile",
	"m_srcTableName" => "recovery of arrears"
));

$proto40["m_sql"] = "company_profile.Fax";
$proto40["m_srcTableName"] = "recovery of arrears";
$proto40["m_expr"]=$obj;
$proto40["m_alias"] = "";
$obj = new SQLFieldListItem($proto40);

$proto0["m_fieldlist"][]=$obj;
						$proto42=array();
			$obj = new SQLField(array(
	"m_strName" => "email",
	"m_strTable" => "company_profile",
	"m_srcTableName" => "recovery of arrears"
));

$proto42["m_sql"] = "company_profile.email";
$proto42["m_srcTableName"] = "recovery of arrears";
$proto42["m_expr"]=$obj;
$proto42["m_alias"] = "";
$obj = new SQLFieldListItem($proto42);

$proto0["m_fieldlist"][]=$obj;
						$proto44=array();
			$obj = new SQLField(array(
	"m_strName" => "logo",
	"m_strTable" => "company_profile",
	"m_srcTableName" => "recovery of arrears"
));

$proto44["m_sql"] = "company_profile.logo";
$proto44["m_srcTableName"] = "recovery of arrears";
$proto44["m_expr"]=$obj;
$proto44["m_alias"] = "";
$obj = new SQLFieldListItem($proto44);

$proto0["m_fieldlist"][]=$obj;
						$proto46=array();
			$obj = new SQLField(array(
	"m_strName" => "header",
	"m_strTable" => "company_profile",
	"m_srcTableName" => "recovery of arrears"
));

$proto46["m_sql"] = "company_profile.header";
$proto46["m_srcTableName"] = "recovery of arrears";
$proto46["m_expr"]=$obj;
$proto46["m_alias"] = "";
$obj = new SQLFieldListItem($proto46);

$proto0["m_fieldlist"][]=$obj;
						$proto48=array();
			$obj = new SQLField(array(
	"m_strName" => "footer",
	"m_strTable" => "company_profile",
	"m_srcTableName" => "recovery of arrears"
));

$proto48["m_sql"] = "company_profile.footer";
$proto48["m_srcTableName"] = "recovery of arrears";
$proto48["m_expr"]=$obj;
$proto48["m_alias"] = "";
$obj = new SQLFieldListItem($proto48);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto50=array();
$proto50["m_link"] = "SQLL_MAIN";
			$proto51=array();
$proto51["m_strName"] = "payments";
$proto51["m_srcTableName"] = "recovery of arrears";
$proto51["m_columns"] = array();
$proto51["m_columns"][] = "id";
$proto51["m_columns"][] = "sales_id";
$proto51["m_columns"][] = "type";
$proto51["m_columns"][] = "amount";
$proto51["m_columns"][] = "cheque_number";
$proto51["m_columns"][] = "cheque_date";
$proto51["m_columns"][] = "hide";
$proto51["m_columns"][] = "status";
$proto51["m_columns"][] = "opening_balance_id";
$proto51["m_columns"][] = "outlet";
$proto51["m_columns"][] = "date_time";
$proto51["m_columns"][] = "user";
$proto51["m_columns"][] = "status_2";
$obj = new SQLTable($proto51);

$proto50["m_table"] = $obj;
$proto50["m_sql"] = "payments";
$proto50["m_alias"] = "";
$proto50["m_srcTableName"] = "recovery of arrears";
$proto52=array();
$proto52["m_sql"] = "";
$proto52["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto52["m_column"]=$obj;
$proto52["m_contained"] = array();
$proto52["m_strCase"] = "";
$proto52["m_havingmode"] = false;
$proto52["m_inBrackets"] = false;
$proto52["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto52);

$proto50["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto50);

$proto0["m_fromlist"][]=$obj;
												$proto54=array();
$proto54["m_link"] = "SQLL_INNERJOIN";
			$proto55=array();
$proto55["m_strName"] = "company_profile";
$proto55["m_srcTableName"] = "recovery of arrears";
$proto55["m_columns"] = array();
$proto55["m_columns"][] = "id";
$proto55["m_columns"][] = "company_name";
$proto55["m_columns"][] = "address_line_1";
$proto55["m_columns"][] = "address_line_2";
$proto55["m_columns"][] = "country";
$proto55["m_columns"][] = "provinces";
$proto55["m_columns"][] = "districts";
$proto55["m_columns"][] = "postal_code";
$proto55["m_columns"][] = "hot_line";
$proto55["m_columns"][] = "Fax";
$proto55["m_columns"][] = "email";
$proto55["m_columns"][] = "logo";
$proto55["m_columns"][] = "branch_code";
$proto55["m_columns"][] = "header";
$proto55["m_columns"][] = "footer";
$proto55["m_columns"][] = "time_calibration";
$obj = new SQLTable($proto55);

$proto54["m_table"] = $obj;
$proto54["m_sql"] = "INNER JOIN company_profile ON payments.outlet = company_profile.id";
$proto54["m_alias"] = "";
$proto54["m_srcTableName"] = "recovery of arrears";
$proto56=array();
$proto56["m_sql"] = "payments.outlet = company_profile.id";
$proto56["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "outlet",
	"m_strTable" => "payments",
	"m_srcTableName" => "recovery of arrears"
));

$proto56["m_column"]=$obj;
$proto56["m_contained"] = array();
$proto56["m_strCase"] = "= company_profile.id";
$proto56["m_havingmode"] = false;
$proto56["m_inBrackets"] = false;
$proto56["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto56);

$proto54["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto54);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="recovery of arrears";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_recovery_of_arrears = createSqlQuery_recovery_of_arrears();


	
		;

																						

$tdatarecovery_of_arrears[".sqlquery"] = $queryData_recovery_of_arrears;



include_once(getabspath("include/recovery_of_arrears_events.php"));
$tableEvents["recovery of arrears"] = new eventclass_recovery_of_arrears;
$tdatarecovery_of_arrears[".hasEvents"] = true;

?>